<form  class="dial" [formGroup]="licenseForm">

 
  <mat-form-field class="example-full-width">
    <input matInput placeholder="Nom" formControlName="nom">
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Nom de Societe" formControlName="nomClient">
  </mat-form-field>

  <mat-form-field>
    <input matInput [matDatepicker]="dateActivite" placeholder="Date Activite" formControlName="dateA">
    <mat-datepicker-toggle matSuffix [for]="dateActivite"></mat-datepicker-toggle>
    <mat-datepicker #dateActivite></mat-datepicker>
  </mat-form-field>

  <mat-form-field>
    <input matInput [matDatepicker]="dateExp" placeholder="Date expiration" formControlName="dateEx">
    <mat-datepicker-toggle matSuffix [for]="dateExp"></mat-datepicker-toggle>
    <mat-datepicker #dateExp></mat-datepicker>
  </mat-form-field>

  <div class="example-button-row text-right">

    <button mat-button (click)="cancel()">Annuler</button>
    <button  mat-raised-button color="primary" (click)="onSubmit()">{{ isUpdate ? 'Modifier' : 'Ajouter'}}</button>
  </div>
</form>

<div [hidden]="!submitted">
    <h4>You submitted successfully!</h4>
</div>
